/*
 * BusinessObject.java
 *
 * Created on 18. leden 2007, 9:11
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.novoj.emt;

import cz.novoj.emt.exceptions.SendException;

/**
 * Business object meant to be tested.
 *
 * @author Rodina Novotnych
 */
public class BusinessObject {
    public final static String SENDER = "automatic-sender@nowhere.com";
    public final static String RECEIVER_ONE = "thomas@nowhere.com";
    public final static String RECEIVER_TWO = "katty@nowhere.com";
    public final static String SUBJECT = "Business logic performed";
    public final static String BODY_LOWER_BOUND = "Hello, business logic was performed on lower bound.";
    public final static String BODY_HIGHER_BOUND = "Hello, business logic was performed on higher bound.";
    private IMessageSender sender;
    private ILogger logger;
    
    public void setMessageSender(IMessageSender sender) {
        this.sender = sender;
    }
    
    public IMessageSender getMessageSender() {
        return sender;
    }
    
    public void setLogger(ILogger logger) {
        this.logger = logger;
    }
    
    public ILogger getLogger() {
        return logger;
    }
    
    public void performBussinesLogic(int input) {
        //do some business logic
        try {
            if (input < 10) {
                sender.send(RECEIVER_ONE, SENDER, SUBJECT, BODY_LOWER_BOUND);
            } else {
                sender.send(RECEIVER_TWO, SENDER, SUBJECT, BODY_HIGHER_BOUND);
            }
        } catch (SendException e) {
            logger.logError("Message was not send due to an error.", e);
        }
    }
    
}
