/*
 * IMessageSender.java
 *
 * Created on 18. leden 2007, 8:55
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.novoj.emt;

import cz.novoj.emt.exceptions.SendException;

/**
 * Interface for sending common messages by various means - such as mail, jabber and so on.
 *
 * @author Novoj
 */
public interface IMessageSender {
    
    /**
     * Method sends a message with subject and body from sender to receiver.
     * Format and mean of message transport is defined in implementation.
     *  
     * @param receiver address of receiver
     * @param sender address of sender
     * @param subject subject of the message
     * @param body entire body of the message
     **/
    void send(String receiver, String sender, String subject, String body) throws SendException;
    
}
