/*
 * TestStubLogger.java
 *
 * Created on 18. leden 2007, 9:53
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.novoj.emt;

/**
 * Test stub for logger.
 * 
 * @author Rodina Novotnych
 */
public class StubLogger implements ILogger {
    private Exception expectedException;
    private Exception actualException;
    private int callCounter = 0;
    
    /** Creates a new instance of TestStubLogger */
    public StubLogger(Exception expectedException) {
        this.expectedException = expectedException;
    }
    
    public void logError(String errorMessage, Exception exception) {
        this.actualException = exception;
        callCounter++;
    }

    public void verifyCalls(int expectedCallCount) throws AssertionError {
        if (expectedCallCount != callCounter) throw new AssertionError("Expected number of calls is " + expectedCallCount + " but method was called " + callCounter + "!");
        if (callCounter > 0 && !actualException.getClass().isAssignableFrom(expectedException.getClass())) throw new AssertionError("Expected " + expectedException.getClass().getSimpleName() + " but " + actualException.getClass().getSimpleName() + " was thrown!");
    }
    
}
